// Imports
@use "variables" as var;

// Variables
$overlap-shadow-light: 0 4px 12px 0 var(--shadow-color);
$gap-between-coordinates: 8px;

// Actual Styling
#coordinates-tool-container {
  width: 100%;
  padding: 16px 24px 24px;
  background-color: white;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 1;
  box-shadow: $overlap-shadow-light;

  @media (min-width: var.$breakpoint-desktop) {
    width: 400px;
    position: absolute;
    border-radius: 4px;
  }

  .coordinates-tool-header {
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;

    @media (min-width: var.$breakpoint-desktop) {
      margin-top: 12px;
    }

    h6 {
      margin: 0 0 12px;
      display: block;
    }

    .selected-coordinates-type {
      display: flex;
      align-items: center;

      button {
        width: 16px;
        height: 16px;
        padding: 0;
        margin-left: 8px;

        span {
          transform: rotate(-90deg);
          display: block;

          &::before {
            --icon-size: 1.2rem;
          }
        }
      }
    }

    .other-coordinates-type {
      position: absolute;
      right: 0;
      margin-top: 6px;
      border-radius: 4px;
      box-shadow: $overlap-shadow-light;
      background-color: white;
      padding: var.$mini-padding;
      width: 126px;
      z-index: 2;
      cursor: pointer;
    }
  }

  form {
    .label {
      display: flex;
      gap: $gap-between-coordinates;
      margin-bottom: 12px;

      .tooltip-copy-succeeded {
        position: fixed;
        height: 32px;
        font-size: 14px;
        padding: 4px 8px;
        color: var(--text-default-success);
        background-color: var(--background-contrast-success);
      }

      .label-c1,
      .label-c2 {
        flex: 1;
        display: flex;
        align-items: center;

        span {
          margin-right: 8px;
        }
      }
    }

    .form-input-container {
      max-height: 450px;
      overflow: auto;

      .form-input-row {
        display: flex;
        align-items: center;
        gap: $gap-between-coordinates;
        margin-bottom: 12px;

        .input-index {
          width: 24px;
          height: 24px;
          padding: 10px;
          border-radius: 50%;
          display: inline-flex;
          align-items: center;
          justify-content: center;
          color: var(--text-label-grey);
          font-size: 12px;
          font-weight: bold;
          background: var(--background-contrast-grey);
          margin-right: 8px;
        }
      }
    }
  }

  dsfr-button.add-point-button {
    display: none;
    --dsfr-button-width: 100%;

    @media (min-width: var.$breakpoint-desktop) {
      display: block;
    }
  }
}

.coordinates-tool-button {
  background-color: white;
  box-shadow: $overlap-shadow-light;

  &.mobile-only {
    @media (min-width: var.$breakpoint-desktop) {
      display: none;
    }
  }

  &.desktop-only {
    display: none;
    width: max-content;

    @media (min-width: var.$breakpoint-desktop) {
      display: block;
    }
  }
}
